local assets =
{
    Asset("ANIM", "anim/yang.zip"),
	Asset("ANIM", "anim/yang_sw.zip"),
	Asset("ATLAS", "images/inventoryimages/yang.xml"),
    Asset("IMAGE", "images/inventoryimages/yang.tex"),
}

local prefabs =
{
  
}
local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "yang_sw", "yang_sw")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
    end
	
	local function onattack_orange(inst, owner, target)
    if target.brain then
       target.brain:Stop()
    end
    if target.components.combat then
       target.components.combat:SetTarget(nil)
    end
    if target.components.locomotor then
       target.components.locomotor:Stop()
    end
    target.AnimState:SetMultColour(125/255,125/255,125/255,1)
    SpawnPrefab("lightning_rod_fx").Transform:SetPosition(target.Transform:GetWorldPosition())
end


local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
 MakeInventoryPhysics(inst)

      inst:AddTag("nopunch")
     
    inst.AnimState:SetBank("yang")
    inst.AnimState:SetBuild("yang")
    inst.AnimState:PlayAnimation("idle")

	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(10)
    inst.components.weapon:SetRange(20, 25)
    inst.components.weapon:SetOnAttack(onattack_orange)
    inst.components.weapon:SetProjectile("bishop_charge")

    
    inst:AddComponent("inspectable")
	
	--[[local light = inst.entity:AddLight()                                               
    light:SetFalloff(0.7)                                                                        --dude.Light:SetFalloff(10)
    light:SetIntensity(.5)                                                                       -- dude.Light:SetIntensity(.5)
    light:SetRadius(16)                                                                           --	dude.Light:SetRadius(3)
    light:SetColour(255/255,255/255,192/255)--十胜石工具的光色（黄），(15/255,165/255,165/255)虚空剑的色光（白）
    light:Enable(true)  ]]

	inst:AddComponent("waterproofer")  
    inst.components.waterproofer:SetEffectiveness(0.1)
	
	
    inst:AddComponent("equippable") 
    inst.components.equippable.dapperness = 1/100
    inst.components.equippable:SetOnEquip(onequip)
    inst.components.equippable:SetOnUnequip(onunequip)
	if  IsDLCEnabled(CAPY_DLC) or IsDLCEnabled(PORKLAND_DLC)  then                  
	          inst.components.equippable.walkspeedmult = .5
			  else inst.components.equippable.walkspeedmult = 1.5
			  
     end

	
	
	 inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/yang.xml"



    return inst
end

return Prefab("yang", fn, assets, prefabs)



